<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="c1a66cd7-3c24-4b93-987f-518894187a1e" name="变更" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings">
    <execution />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="GoLibraries">
    <option name="indexEntireGoPath" value="false" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="jar://$APPLICATION_HOME_DIR$/plugins/restClient/lib/restClient.jar!/com/intellij/ws/rest/client/requests/collection/post-requests.http" root0="SKIP_INSPECTION" />
    <setting file="jar://$APPLICATION_HOME_DIR$/plugins/restClient/lib/restClient.jar!/com/intellij/ws/rest/client/stubs/http-dynamic-variables.json" root0="SKIP_INSPECTION" />
    <setting file="jar://$PROJECT_DIR$/../../local/repo/cn/hutool/hutool-all/5.8.2/hutool-all-5.8.2-sources.jar!/cn/hutool/core/bean/BeanUtil.java" root0="SKIP_INSPECTION" />
  </component>
  <component name="HttpClientSelectedEnvironments">
    <file url="jar://$APPLICATION_HOME_DIR$/plugins/restClient/lib/restClient.jar!/com/intellij/ws/rest/client/requests/collection/post-requests.http" environment="test" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="$PROJECT_DIR$/../../apache-maven-3.8.4" />
        <option name="userSettingsFile" value="D:\apache-maven-3.8.4\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="2B4NZJCzOB3QK5dnuq2bP6c4MZH" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="false" />
    <option name="showLibraryContents" value="true" />
    <option name="showVisibilityIcons" value="true" />
    <option name="sortByType" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "RequestMappingsPanelOrder0": "0",
    "RequestMappingsPanelOrder1": "1",
    "RequestMappingsPanelWidth0": "75",
    "RequestMappingsPanelWidth1": "75",
    "RunOnceActivity.go.formatter.settings.were.checked": "true",
    "RunOnceActivity.go.migrated.go.modules.settings": "true",
    "WebServerToolWindowFactoryState": "false",
    "dart.analysis.tool.window.visible": "false",
    "go.import.settings.migrated": "true",
    "last_opened_file_path": "D:/项目备份/icomasst-master",
    "project.structure.last.edited": "库",
    "project.structure.proportion": "0.15",
    "project.structure.side.proportion": "0.6873563",
    "settings.editor.selected.configurable": "preferences.pluginManager",
    "show.migrate.to.gradle.popup": "false",
    "spring.configuration.checksum": "6a0a76d8c1e40738ab776c3630eca934"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.sjyt.icom.asst.common.enums" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.IComAsstApplication">
    <configuration name="TestJjwt" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.sjyt.icom.asst.service.TestJjwt" />
      <module name="asst" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.sjyt.icom.asst.service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="generated-requests | #4" type="HttpClient.HttpRequestRunConfigurationType" factoryName="HTTP Request" temporary="true" nameIsGenerated="true" path="$APPLICATION_CONFIG_DIR$/scratches/generated-requests.http" index="4" requestIdentifier="#4" runType="运行单个请求">
      <method v="2" />
    </configuration>
    <configuration name="MapStructSpringExtensionsTest.test1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="asst" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.sjyt.icom.asst.service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.sjyt.icom.asst.service" />
      <option name="MAIN_CLASS_NAME" value="com.sjyt.icom.asst.service.MapStructSpringExtensionsTest" />
      <option name="METHOD_NAME" value="test1" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SymmetricCryptoTest.sha1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="asst" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.sjyt.icom.asst.service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.sjyt.icom.asst.service" />
      <option name="MAIN_CLASS_NAME" value="com.sjyt.icom.asst.service.SymmetricCryptoTest" />
      <option name="METHOD_NAME" value="sha1" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestJjwt.test2" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="asst" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.sjyt.icom.asst.service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.sjyt.icom.asst.service" />
      <option name="MAIN_CLASS_NAME" value="com.sjyt.icom.asst.service.TestJjwt" />
      <option name="METHOD_NAME" value="test2" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="IComAsstApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <option name="ACTIVE_PROFILES" />
      <module name="asst" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.sjyt.icom.asst.IComAsstApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="HTTP 请求.generated-requests | #4" />
        <item itemvalue="应用程序.TestJjwt" />
        <item itemvalue="JUnit.MapStructSpringExtensionsTest.test1" />
        <item itemvalue="JUnit.TestJjwt.test2" />
        <item itemvalue="JUnit.SymmetricCryptoTest.sha1" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="c1a66cd7-3c24-4b93-987f-518894187a1e" name="变更" comment="" />
      <created>1656161451780</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1656161451780</updated>
      <workItem from="1656161453407" duration="305000" />
      <workItem from="1656161774291" duration="12035000" />
      <workItem from="1656291138141" duration="7449000" />
      <workItem from="1656299786931" duration="120000" />
      <workItem from="1656299942134" duration="400000" />
      <workItem from="1656300364901" duration="68000" />
      <workItem from="1656300449345" duration="79000" />
      <workItem from="1656301031902" duration="381000" />
      <workItem from="1656301540019" duration="47089000" />
      <workItem from="1656467060590" duration="73458000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VgoProject">
    <settings-migrated>true</settings-migrated>
  </component>
</project>